Archive

Monthly Archives: May 2012

Here the steps I just took to install metaproxy (which requires yaz and yaz++) on Red Hat Enterprise Linux 6.2.  The reason for this exercise is because Indexdata’s RPMs don’t work for 6.2 (the versions of boost-devel and icu-devel they require seem to only be available in 5.5).  Since I expect Indexdata to eventually release 6.2 compatible RPMs, I installed all of this into /opt/local (so it’s easy to remove — of course, if you’re already using /opt/local, you might want to try somewhere else).  Also, this assumes you’ll put a metaproxy.xml in /opt/local/etc/metaproxy/, so keep that in mind.

  1. yum install boost boost-devel icu icu-devel libxml2 libxml2-devel gnutls gnutls-devel libxslt libxslt-devel gcc-c++ libtool
  2. Install yaz:
    1. wget http://ftp.indexdata.dk/pub/yaz/yaz-4.2.33.tar.gz
    2. tar -zxvf yaz-4.2.33.tar.gz
    3. cd yaz-4.2.33
    4. ./configure –prefix=/opt/local
    5. make
    6. make install
  3. Install yaz++
    1. wget http://ftp.indexdata.dk/pub/yazpp/yazpp-1.3.0.tar.gz
    2. tar -zxvf yazpp-1.3.0.tar.gz
    3. cd yazpp-1.3.0
    4. ./configure –prefix=/opt/local/ –with-yaz=/opt/local/bin
    5. make
    6. make install
  4. Install metaproxy
    1. wget http://ftp.indexdata.dk/pub/metaproxy/metaproxy-1.3.36.tar.gz
    2. tar -zxvf metaproxy-1.3.36.tar.gz
    3. cd metaproxy-1.3.36
    4. ./configure –prefix=/opt/local –with-yazpp=/opt/local/bin/
    5. make
    6. make install
  5. cd /opt/local
  6. mkdir etc; mkdir etc/metaproxy; mkdir etc/sysconfig
  7. Copy this gist as /etc/rc.d/init.d/metaproxy
  8. chmod 744 /etc/rc.d/init.d/metaproxy
  9. Copy this gist as /opt/local/etc/sysconfig/metaproxy
  10. chkconfig –add /etc/rc.d/init.d/metaproxy
  11. /etc/init.d/metaproxy start